function [] = q1cFunc (K)
f = 1:6001;
for n=1:6001 %set all values of f to zero
    f(n) = 0;
end

for k=-K:K %for accuracy K, approximate the original signal
    idx = 1;
    for n=-3000:3000
        t=n/2000;
        f(idx) = f(idx) + Ak(k)*exp(1i*k*2*pi*t);
        idx = idx + 1;
    end
end

n=-3000:3000;
t=n/2000;
plot(t,f)
end

function [x] = Ak(k) %fourier series of x(t)
if k==0
    x = .25;
else
    x = sin(pi*k/4)/(pi*k);
end
end